/* To fix underlined links */
a:where(:not(.wp-element-button)) {
    text-decoration: none;
}

/* To fix increased margin in Masonry */
figure {
    margin: 0;
}


/* CSS perso */
/** Granger Fondations **/

:root {
    --main-color: #ef1c22;
    --alt-color: #2B2E93;
    --main-bg-color: #f8f8f8;
}


#top #wrap_all .header_color .av-menu-button-colored>a .avia-menu-text {
    background-color: var(--main-color);
    color: #ffffff;
    border-color: var(--main-color);
}

#top #wrap_all .header_color .av-menu-button-colored>a:hover .avia-menu-text,
#top #header .av-main-nav>li.av-menu-button-colored.current-menu-item a .avia-menu-text {
    background-color: #ffffff;
    color: var(--main-color);
    border-color: #ffffff;
}


.grecaptcha-badge {
    display: none;
}

.container_wrap {
    border-top-width: 0px;
}


.main_color strong,
.main_color b,
.alternate_color strong,
.alternate_color b {
    color: inherit;
}


.logo img,
.logo svg {
    top: 50%;
    transform: translateY(-50%);
}

#header_main .logo {
    padding-top: 10px;
}

#top .alternate_color.titre-section h1 {
    text-shadow: 0px 2px 10px #000;
}

#top .template-page .entry-content-wrapper h1,
#top .template-page .entry-content-wrapper h2,
#top .widgettitle {
    letter-spacing: 0;
}


#top .av-special-heading.modern-quote h2.av-special-heading-tag {
    padding-bottom: 50px;
    position: relative;

}

#top .av-special-heading.modern-quote h2.av-special-heading-tag:before {
    content: '';
    position: absolute;
    background-color: var(--main-color);
    height: 4px;
    width: 75px;
    bottom: 25px;
}

#top .av-special-heading.modern-quote.modern-centered h2.av-special-heading-tag:before {
    left: calc(50% - calc(75px/2));
}

#top .encart {
    padding: 50px;
}



#top .encart.light {
    background: #ffffff;
}

.encart.alt {
    background-color: var(--alt-color);
}

#top .encart.alt.card {
    background: #004c39;
    background: -moz-linear-gradient(-45deg, #004c39 0%, #00ae86 100%);
    background: -webkit-linear-gradient(-45deg, #004c39 0%, #00ae86 100%);
    background: linear-gradient(135deg, #004c39 0%, #00ae86 100%);
    filter: progid:DXImageTransform.Microsoft.gradient(startColorstr='#004c39', endColorstr='#00ae86', GradientType=1);

    border-radius: 10px !important;
    overflow: hidden;

}

.encart.card {
    border-radius: 10px !important;
    overflow: hidden;
    box-shadow: 0 20px 60px -30px #000000;

}


#top .encart.alt * {
    color: #ffffff !important;
}

#.encart.shadow {
    box-shadow: 0 20px 60px -30px #000000;
}


#top .card-feature {
    padding: 30px;
    border: 1px solid;
    border-radius: 30px;
    box-shadow: -15px 15px var(--main-color);
}

#top .card-feature img {
    width: 90px;
    object-fit: contain;
}

/* Correction  grille icones */
#top .avia-icongrid-text h3 {
    color: #ffffff;
}

#top .avia-icongrid-flipbox li {
    padding: 30px;
}





/* Correction slider pleine largeur */
#top .avia-fullwidth-slider ul.avia-slideshow-inner,
#top .avia-fullwidth-slider .avia-slideshow li img {
    height: 45vh;
    min-height: 350px;
}

#top .avia-fullwidth-slider .avia-slideshow li img {
    object-fit: cover;
}

/* Correction chiffres animes */
#top .avia-animated-number-title {
    font-size: 70px;
    font-weight: bold;
}

#top .avia-animated-number-content {
    font-size: 23px;
}

@media only screen and (max-width: 990px) {
    #top .avia-animated-number-title {
        font-size: 45px;
    }

    #top .avia-animated-number-content {
        font-size: 20px;
    }

}

/* Icone box */

#top .iconbox.av-no-box .iconbox_icon {
    border-width: 0px;
    font-size: 65px;
}


#top .main_color .iconbox.av-no-box .iconbox_icon {
    color: var(--main-color);

}

/* Correction logos partenaires */

#top .avia-logo-element-container img {
    height: 150px;
    object-fit: contain;
    padding: 0 10px;
}


@media only screen and (max-width: 990px) {
    #top .avia-logo-element-container img {
        height: 100px;
    }
}


/*Correction formulaire de contact*/
/*Amelioration formulaire*/


#top .main_color .input-text,
#top .main_color input[type='text'],
#top .main_color input[type='input'],
#top .main_color input[type='password'],
#top .main_color input[type='email'],
#top .main_color input[type='number'],
#top .main_color input[type='url'],
#top .main_color input[type='tel'],
#top .main_color input[type='search'],
#top .main_color textarea,
#top .main_color select {

    background-color: #fff;
}


#top .main_color .input-text,
#top .main_color input[type='text'],
#top .main_color input[type='input'],
#top .main_color input[type='password'],
#top .main_color input[type='email'],
#top .main_color input[type='number'],
#top .main_color input[type='url'],
#top .main_color input[type='tel'],
#top .main_color input[type='search'],
#top .main_color textarea,
#top .main_color select {
    /*border-color: rgba(255,255,255,0.1);
    background-color: rgba(0,0,0,0.33);
    color: #ffffff;*/
}

#top .alternate_color .input-text,
#top .alternate_color input[type='text'],
#top .alternate_color input[type='input'],
#top .alternate_color input[type='password'],
#top .alternate_color input[type='email'],
#top .alternate_color input[type='number'],
#top .alternate_color input[type='url'],
#top .alternate_color input[type='tel'],
#top .alternate_color input[type='search'],
#top .alternate_color textarea,
#top .alternate_color select {
    border-color: rgba(255, 255, 255, 0.35) !important;
    background-color: rgba(0, 0, 0, 0);
    color: #ffffff;
}


#top .main_color input::placeholder,
#top .main_color textarea::placeholder {
    /*  color: rgba(255,255,255,0.75);*/

}


#top .input-text,
#top input[type="text"],
#top input[type="input"],
#top input[type="password"],
#top input[type="email"],
#top input[type="number"],
#top input[type="url"],
#top input[type="tel"],
#top input[type="search"],
#top textarea,
#top select,
#top form {
    margin-bottom: 0px;
}

.full-form .input-text,
.full-form input[type="text"],
.full-form input[type="input"],
.full-form input[type="password"],
.full-form input[type="email"],
.full-form input[type="number"],
.full-form input[type="url"],
.full-form input[type="tel"],
.full-form input[type="search"],
.full-form textarea,
.full-form select,
.full-form input[type="date"],
p.wysija-paragraph input[type='text'].wysija-input {
    font-size: 1.1em !important;
    font-weight: normal !important;
    padding: 15px 15px !important;
    border-radius: 0 !important;
    border: 1px solid #eee !important;
    font-family: 'roboto', Helvetica, Arial, sans-serif;
}


#top .input-text,
#top input[type="text"],
#top input[type="input"],
#top input[type="password"],
#top input[type="email"],
#top input[type="number"],
#top input[type="url"],
#top input[type="tel"],
#top input[type="search"],
#top textarea,
#top select,
#top div form .form-row input.input-text,
#top div #content .form-row input.input-text,
#top div form .form-row textarea,
#top div #content .form-row textarea {
    font-family: 'roboto', Helvetica, Arial, sans-serif;
    padding: 10px 20px;
}




.full-form .input-text::placeholder,
.full-form input[type="text"]::placeholder,
.full-form input[type="input"]::placeholder,
.full-form input[type="password"]::placeholder,
.full-form input[type="email"]::placeholder,
.full-form input[type="number"]::placeholder,
.full-form input[type="url"]::placeholder,
.full-form input[type="tel"]::placeholder,
.full-form input[type="search"]::placeholder,
.full-form textarea::placeholder,
.full-form select::placeholder,
.full-form input[type="date"]::placeholder,
p.wysija-paragraph input[type='text'].wysija-input::placeholder {
    font-size: 0.85rem;
}





.full-form input[type="date"] {
    padding: 6px !important;
}

.full-form {
    display: inline-flex;
    flex-direction: row;
    align-items: flex-start;
    flex-wrap: wrap;
}

.plein,
.demi,
.tier {
    padding: 0 0 1% 0;
}

.plein {
    width: 100%;
}

.demi {
    width: calc(98% / 2);
}

.tier {
    width: calc(97% / 3);
}

.tier+.tier {
    margin-left: 1.5% !important;
}

.demi+.demi {
    margin-left: 2% !important;
}


.script_ref {
    height: 0;
    display: none;
}


.wpcf7 form .wpcf7-response-output {
    display: inline-flex;
}


@media only screen and (max-width: 990px) {

    .full-form .input-text,
    .full-form input[type="text"],
    .full-form input[type="input"],
    .full-form input[type="password"],
    .full-form input[type="email"],
    .full-form input[type="number"],
    .full-form input[type="url"],
    .full-form input[type="tel"],
    .full-form input[type="search"],
    .full-form textarea,
    .full-form select,
    .full-form input[type="date"],
    p.wysija-paragraph input[type='text'].wysija-input {
        font-size: 1em !important;
    }


    .plein,
    .demi,
    .tier {
        width: 100%;
        padding: 5px 10px;
        margin-left: 0;
    }

    .tier+.tier {
        margin-left: 0 !important;
    }

    .demi+.demi {
        margin-left: 0 !important;
    }

}



/*Correction cookies notice*/

#scroll-top-link,
#av-cookie-consent-badge {
    background-color: var(--main-color);
}


#scroll-top-link,
#av-cookie-consent-badge {
    color: #fff;
    border: 0px solid;
}

#scroll-top-link:hover,
#av-cookie-consent-badge:hover {
    border: 0;
}


#av-cookie-consent-badge,
#scroll-top-link {
    border-radius: 150px;
    height: 50px;
    width: 50px;
    line-height: 50px;
    font-size: 18px;
}


#av-cookie-consent-badge:before {
    font-size: 18px;
}



#av-cookie-consent-badge.av-consent-badge-left-bottom {
    bottom: 30px;
    left: 30px;
}


#scroll-top-link {
    right: 30px;
    bottom: 30px;
}

.avia-popup .av-inline-modal.avia-hide-popup-close .mfp-close {
    display: block;
}


.avia-cookie-consent {
    background-color: #fff;
    color: #000;
    padding: 30px;
    text-align: left;
    border-radius: 10px;
    box-shadow: 0 10px 80px -30px rgba(0, 0, 0, 0.45);
}


.avia-cookie-consent:before {
    font-family: 'entypo-fontello';
    content: '\e824';
    font-size: 100px;
    opacity: 0.25;
    position: absolute;
    bottom: 0;
    right: 0;
}

.avia-cookie-consent p {
    font-size: 0.85rem;
    letter-spacing: 0;
    line-height: 1.45em;
}

.avia-cookie-consent .avia-cookie-consent-button,
.avia-popup .avia-cookie-consent-button {
    background-color: #fff;
    border: 2px solid #000;
    font-size: 11px !important;
    color: #000;
    padding: 10px 15px;
    margin: 10px 10px 10px 0;
    float: left;
    box-shadow: 0 30px 120px -30px #000;
}




.avia-cookie-consent .avia-cookie-consent-button.avia-cookie-hide-notification,
.avia-popup .avia-cookie-consent-button.avia-cookie-hide-notification {
    background-color: #fff;
    color: var(--main-color);
    border-color: var(--main-color);
    margin-right: 10px;
}


.avia-cookie-consent .avia-cookie-consent-button.av-extra-cookie-btn,
.avia-popup .avia-cookie-consent-button.av-extra-cookie-btn {
    color: #000;
    background-color: transparent;
    border-color: #000;
}




#top ul.social_bookmarks {
    height: 50px;
    width: fit-content;
}

#top #footer ul.social_bookmarks {
    margin: 30px auto 0px;
}


#top nav .social_bookmarks {
    top: 50%;
    margin-top: unset;
    transform: translateY(-50%);
}


#top .social_bookmarks li {
    width: 50px;
    margin: 0 5px;
    clear: unset;
    border-color: rgba(0, 0, 0, 0.25);
}


#top .av-section-bottom-logo .social_bookmarks,
.html_bottom_nav_header #top .av-logo-container .social_bookmarks {

    top: 23px;
}

#top .av-logo-container .social_bookmarks li a {
    border-radius: 0;
}


#top .footer_color .social_bookmarks li {
    border-color: rgba(255, 255, 255, 0.25);
}

#top .social_bookmarks li:last-of-type {
    border-right-width: 0;
}

#top .social_bookmarks li a {
    width: 50px;
    line-height: 50px;
    min-height: 50px;
    font-size: 1.25rem;
    text-decoration: unset;
}




/* Amelioroation Menu footer */

#top .content .flex_column .widget_nav_menu li:first-child {
    border-top-width: 0;
}

#top .content .flex_column .widget_nav_menu li {
    border-bottom-width: 0;
}

#top #footer .content .flex_column .widget_nav_menu li a:hover {
    background-color: unset;
}

#top .content .flex_column .widget_nav_menu li a {
    padding: 0;
}

#top #footer .widget_nav_menu li {
    font-size: initial;
}

#top #footer .widget_nav_menu li a,
#top #footer .widget_nav_menu li:before {
    transition: all 250ms cubic-bezier(0.4, 0, 0.2, 1);
}

#top #footer .widget_nav_menu li a {
    opacity: 0.65;
}

#top #footer .widget_nav_menu li:before {
    content: '';
    width: 5px;
    height: 2px;
    background-color: var(--main-color);
    position: absolute;
    left: 0;
    top: calc(50% - 2px);
    transform: scaleX(0);
    transform-origin: left;

}

#top #footer .widget_nav_menu li:hover::before {
    transform: scaleX(1);
}


#top #footer .widget_nav_menu li:hover a {
    opacity: 1;
    transform: translateX(10px);
}


/* Amelioration Socket */


@media only screen and (max-width: 990px) {
    footer .container {
        display: flex;
        flex-direction: column-reverse;
        flex-wrap: nowrap;
        align-items: center;
        text-align: center;

    }

    #socket .menu {
        display: flex;
        flex-wrap: nowrap;
        align-items: center;
        flex-direction: row;
        justify-content: center;
        align-content: center;
    }
}

.zoom-kenburn .av-parallax-inner {
    -ms-animation: move 40s ease;
    -webkit-animation: move 40s ease;
    -0-animation: move 40s ease;
    -moz-animation: move 40s ease;
        top: 0;
}

.section-titre.zoom-kenburn .av-parallax-inner{
    top: 80px;
}

.zoom-kenburn .av-parallax,
.zoom-kenburn .av-parallax-inner {
    height: 55vh;
    min-height: 450px;

}


@-webkit-keyframes move {
    0% {
        transform: scale(1.0);
        -ms-transform: scale(1.0);
        /* IE 9 */

        -webkit-transform: scale(1.0);
        /* Safari and Chrome */

        -o-transform: scale(1.0);
        /* Opera */

        -moz-transform: scale(1.0);
        /* Firefox */
    }

    100% {
        transform: scale(1.3);
        -ms-transform: scale(1.3);
        /* IE 9 */

        -webkit-transform: scale(1.3);
        /* Safari and Chrome */

        -o-transform: scale(1.3);
        /* Opera */

        -moz-transform: scale(1.3);
        /* Firefox */
    }
}



#footer .av_one_fourth {
    width: calc(25% - 1%);
}


#footer .av_one_fourth + .av_one_fourth {
    margin-left: calc(4% / 3);
}

/* Correction item de portfolio sur page realisation */

/* Correction images réalisation */
#top .fullsize .av-alb-blogposts.template-blog img.wp-post-image {
    width: 100%;
    height: 10vw;
    max-height: 350px;
    min-height: 150px;
    object-fit: cover;
}


.av-alb-blogposts.template-blog {
    --gap: 3%;
    display: inline-flex;
    flex-wrap: wrap;
    margin: calc(-1 * var(--gap)) 0 0 calc(-1 * var(--gap));
    width: calc(100% + var(--gap));
}

article.type-portfolio {
    width: calc(33% - var(--gap));
    margin: var(--gap) 0 0 var(--gap);
    background: #fff;
    border-radius: 10px;
    box-shadow: 0 10px 30px -15px;
    overflow: hidden;
}

.col-2 article.type-portfolio {
    width: calc(50% - var(--gap));
}

.col-3 article.type-portfolio {
    width: calc(33% - var(--gap));
}

.col-4 article.type-portfolio {
    width: calc(25% - var(--gap));
}

.col-5 article.type-portfolio {
    width: calc(20% - var(--gap));
}


article.type-portfolio header,
article.type-portfolio .entry-content {
    padding: 0 30px;
}

#top  article.type-portfolio header .post-title {
    font-size: 1em !important;
        padding: 15px 0 5px 0 !important;
}

@media only screen and (max-width: 990px) {
    article.type-portfolio {
        width: calc(50% - var(--gap)) !important;
    }
}

@media only screen and (max-width: 768px) {
    article.type-portfolio {
        width: calc(100% - var(--gap)) !important;
    }
}

article.type-portfolio .post-meta-infos,
article.type-portfolio .post_delimiter {
    display: none;
}

article.type-portfolio .entry-content {
    font-size: 0.95em;
    line-height: 1.35em;
}


article.type-portfolio .entry-content p:first-of-type {
    margin-top: 0;
}

#top article.type-portfolio .entry-content li {
    text-align: initial;
}


article.type-portfolio .big-preview {
    padding: 0;
}


article.type-portfolio .big-preview a,
article.type-portfolio .post-title a {
    pointer-events: none;
}



.ico {
    position: relative;
    padding-left: 30px;
}

.ico:before {
    content: '\e81f';
    font-family: 'entypo-fontello';
    position: absolute;
    left: 0;
}

.ico.phone:before{
    content: '\e854';
}

.ico.mail:before{
    content: '\e805';
}
